Subject: Re: bug#13324: Improvements to "dist" targets (was: Re: EXTRA_DIST, directories, tar --exclude-vcs)

From: Stefano Lattarini <[email-masked]>
Date: Thu, 03 Jan 2013 10:24:39 +0100

On 01/03/2013 01:57 AM, Karl Berry wrote:
>     OTOH, what about distribution "tarballs" in '.zip' format?  They don't
>     use tar at all ...  Time to deprecate them maybe?  Is anybody actually
>     using them?  And while at it, what about the even more obscure 'shar'
>     format?
> 
> FWIW, I think they should still be supported.  I see recent
> distributions on ftp.gnu.org using both -- gzip and tar make shar
> archives for the sake of bootstrapping,
>
Given how "special" particular these packages are, they could easily
implement the shar compression by themselves; Automake will still do
the "heavy lifting" of preparing the distdir (that is the tricky part).

I think it's a no-brainer that tarZ and shar format can be deprecated
ASAP (that is, in 1.13.2) and removed ASAP (that is, in 1.14).

> and some packages use zip to make things easier for Windows users.
>
This might be a valid point.  In a previous mail, I wrote:

  [zip] not a format truly used or required for distribution tarballs.
  If you are going to compile an Automake-based package from source on
  MS Windows, you'll need either MinGW/MSYS or Cygwin, and AFAICS both
  those environment comes with working tar and gzip programs.

but Peter Rosin replied:

  Yes, I believe quite a few projects have a separately maintained Visual
  Studio solution, seeded with handwritten config.h etc, meaning that they
  don't require Autotools to build from source on Windows.

implying that the generated tarball might after all not require a UNIX
emulator to build on windows.  So let's keep zip :-)

> One could certainly make arguments about getting rid of them (especially
> shar), nevertheless.  I personally wouldn't want to spend time engaging
> in that debate :).
>
I see no real debate coming up about the removal of shar and tarZ.
They are really obsolete.  I might be wrong though, and that's why
I'll deprecate them long before actually removing them ;-)

Regards,
  Stefano